| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
lpc_enetdata_t Struct Reference

## Detailed Description

Definition at line 105 of file lpc17xx_40xx_emac.c.

## Data Fields
ENET_RXSTAT_T | prxs [LPC_NUM_BUFF_RXDESCS]
ENET_RXDESC_T | prxd [LPC_NUM_BUFF_RXDESCS]
ENET_TXSTAT_T | ptxs [LPC_NUM_BUFF_TXDESCS]
ENET_TXDESC_T | ptxd [LPC_NUM_BUFF_TXDESCS]
struct netif * | pnetif
struct pbuf * | rxb [LPC_NUM_BUFF_RXDESCS]
u32_t | rx_fill_desc_index
volatile u32_t | rx_free_descs
struct pbuf * | txb [LPC_NUM_BUFF_TXDESCS]
u32_t | lpc_last_tx_idx
sys_sem_t | rx_sem
sys_sem_t | tx_clean_sem
sys_mutex_t | tx_lock_mutex
sys_mutex_t | rx_lock_mutex
xSemaphoreHandle | xtx_count_sem

## Field Documentation

u32_t lpc_last_tx_idx

TX last descriptor index, zero-copy mode

Definition at line 119 of file lpc17xx_40xx_emac.c.

struct netif* pnetif

Reference back to LWIP parent netif

Definition at line 111 of file lpc17xx_40xx_emac.c.

ENET_RXDESC_T prxd[LPC_NUM_BUFF_RXDESCS]

Pointer to RX descriptor list

Definition at line 108 of file lpc17xx_40xx_emac.c.

ENET_RXSTAT_T prxs[LPC_NUM_BUFF_RXDESCS]

Pointer to RX statuses

Definition at line 107 of file lpc17xx_40xx_emac.c.

ENET_TXDESC_T ptxd[LPC_NUM_BUFF_TXDESCS]

Pointer to TX descriptor list

Definition at line 110 of file lpc17xx_40xx_emac.c.

ENET_TXSTAT_T ptxs[LPC_NUM_BUFF_TXDESCS]

Pointer to TX statuses

Definition at line 109 of file lpc17xx_40xx_emac.c.

u32_t rx_fill_desc_index

RX descriptor next available index

Definition at line 115 of file lpc17xx_40xx_emac.c.

volatile u32_t rx_free_descs

Count of free RX descriptors

Definition at line 116 of file lpc17xx_40xx_emac.c.

sys_mutex_t rx_lock_mutex

RX critical section mutex

Definition at line 124 of file lpc17xx_40xx_emac.c.

sys_sem_t rx_sem

RX receive thread wakeup semaphore

Definition at line 121 of file lpc17xx_40xx_emac.c.

struct pbuf* rxb[LPC_NUM_BUFF_RXDESCS]

RX pbuf pointer list, zero-copy mode

Definition at line 113 of file lpc17xx_40xx_emac.c.

sys_sem_t tx_clean_sem

TX cleanup thread wakeup semaphore

Definition at line 122 of file lpc17xx_40xx_emac.c.

sys_mutex_t tx_lock_mutex

TX critical section mutex

Definition at line 123 of file lpc17xx_40xx_emac.c.

struct pbuf* txb[LPC_NUM_BUFF_TXDESCS]

TX pbuf pointer list, zero-copy mode

Definition at line 117 of file lpc17xx_40xx_emac.c.

xSemaphoreHandle xtx_count_sem

TX free buffer counting semaphore

Definition at line 125 of file lpc17xx_40xx_emac.c.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lwip/lpclwip/arch/lpc17xx_40xx_emac.c